Skip to content
Snippets Groups Projects
Commit 14060ca0 authored by Philip Joseph's avatar Philip Joseph
Browse files

Generate package script: Remove unwanted error message


Signed-off-by: default avatarPhilip Joseph <philip.joseph@riftio.com>
parent 1c36f4a6
No related branches found
No related tags found
No related merge requests found
......@@ -284,10 +284,10 @@ EOF
- id: ${name}_vld${i}
name: ${name}_vld${i}
type: ELAN
provider-network:
overlay-type: VLAN
physical-network: <update>
segmentation_id: <update>
# provider-network:
# overlay-type: VLAN
# physical-network: <update>
# segmentation_id: <update>
vnfd-connection-point-ref:
# Specify the constituent VNFs
# member-vnf-index-ref - entry from constituent vnf
......@@ -295,7 +295,7 @@ EOF
# vnfd-connection-point-ref - connection point name in the VNFD
- nsd:member-vnf-index-ref: 1
nsd:vnfd-id-ref: ${vnfd}
# Validate the entry below
# NOTE: Validate the entry below
nsd:vnfd-connection-point-ref: eth${eth}
EOF
done
......@@ -540,20 +540,20 @@ if [[ -z "$PKG" ]]; then
exit 1
fi
cd $BASE_DIR
if [ $? -ne 0 ]; then
if [[ ! -d $BASE_DIR ]]; then
if [ $CREATE == true ]; then
mkdir -p $BASE_DIR
if [ $? -ne 0 ]; then
echo "ERROR: Unable to create base directory $BASE_DIR" >&2
exit 1
fi
cd $BASE_DIR
else
echo "ERROR: Unable to change to base directory $BASE_DIR!" >&2
exit 1
fi
fi
cd $BASE_DIR
if [ $? -ne 0 ]; then
echo "ERROR: Unable to change to base directory $BASE_DIR!" >&2
exit 1
fi
# Get full base dir path
BASE_DIR=`pwd`
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment